API DocumentationManufacturer production step controller

Roll back a production group

DELETE
/api/manufacturer/v1/production-step/{stepId}

Deletes a production group (production step) and returns its parts to the steps they came from. Only possible while no parts have left the group.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

stepId*string

ID of the production group (production step) to roll back

Formatuuid

Response Body

Group rolled back successfully; returns the updated batch balances

application/json
  1. response
[index: integer]?
curl -X DELETE 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/497f6eca-6276-4993-bfeb-53cbbbba6f08'
[  {    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "sequence": 0,    "requisitionId": 0,    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "materialId": 0,    "colorId": 0,    "dispatchDate": "2019-08-24",    "workOrderStartDate": "2019-08-24T14:15:22Z",    "workOrderDueDate": "2019-08-24T14:15:22Z",    "requisitionDuration": 0,    "quantity": 0,    "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",    "groupId": "string",    "prefix": "string",    "stepType": "string",    "orderId": 0,    "orderNumber": 0,    "threadId": 0,    "purchaseOrderNumber": "string",    "commentCount": 0,    "closedAt": "2019-08-24T14:15:22Z",    "outstandingAt": "2019-08-24T14:15:22Z",    "batchStatusName": "string",    "batchStatusId": "3b88a7ad-cddf-4275-929b-806ea4f39582"  }]